Package io.milvus.param.partition

## Class CreatePartitionParam.Builder

- java.lang.Object
- - io.milvus.param.partition.CreatePartitionParam.Builder

- Enclosing class:
    CreatePartitionParam

      public static final class CreatePartitionParam.Builder
      extends java.lang.Object

  Builder for `CreatePartitionParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreatePartitionParam` | `build()` | Verifies parameters and creates a new `CreatePartitionParam` instance.
    `CreatePartitionParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the collection name.
    `CreatePartitionParam.Builder` | `withPartitionName​(@NonNull java.lang.String partitionName)` | Sets the partition name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public CreatePartitionParam.Builder withCollectionName​(@NonNull
                                                                 @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withPartitionName

          public CreatePartitionParam.Builder withPartitionName​(@NonNull
                                                                @NonNull java.lang.String partitionName)

      Sets the partition name. Partition name cannot be empty or null.
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### build

          public CreatePartitionParam build()
                                     throws ParamException

      Verifies parameters and creates a new `CreatePartitionParam` instance.
      Returns:
        `CreatePartitionParam`
      Throws:
        `ParamException`